/* STYLES 26.05.2025
Developer: t.me/moretheme
Screen resolution: 460, 860, 1440, 1920 */
:root {
    --bg: #14161a;
    --bg2: #1c1f25;
    --engine: #14161a;
    --engine2: #1c1f25;
    --text: #fff;
    --text1: #000;
    --text2: #bbc3cf;
    --text3: #828c9a;
    --color1: #8473cc;
    --color2: #9a8add;
    --light: rgb(255 255 255 / 15%);
    --light2: rgb(255 255 255 / 30%);
    --dark: rgb(0 0 0 / 10%);
    --radius: 18px;
}

body {
    background: var(--bg);
    color: var(--text);
    line-height: normal;
    font-family: "Geologica", sans-serif;
    font-size: 16px;
    font-weight: 300;
}

.speedbar {
    color: #777e89;
    font-size: 14px;
    margin-bottom: 30px;
}

.speedbar a:hover {
    color: var(--color1);
}

/* HEADER */
header {
    position: relative;
    background: var(--bg);
    color: var(--text);
    box-shadow: 0px 10px 9px rgb(0 0 0 / 3%);
    border-bottom: 1px solid var(--dark);
    width: 100%;
    top: 0;
    left: 0;
    z-index: 4;
    transition: top 0.3s;
}

header.fixed {
    background: linear-gradient(180deg, rgb(20 22 26 / 57%), transparent);
    border-bottom: none;
    box-shadow: none;
}

header .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 10px;
    padding: 10px 0;
}

.header-logo {
    font-size: 30px;
    font-weight: 800;
    text-transform: uppercase;
}

.header-top {
    z-index: 3;
}

.header-menu {
    display: flex;
    align-items: center;
    grid-gap: 20px;
    color: var(--text2);
    margin: 0 auto;
    transition: 0.3s opacity;
}

@media (max-width: 860px) {
    .header-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: var(--bg2);
        flex-direction: column;
        align-items: flex-start;
        padding: 80px 20px;
        z-index: 7;
        visibility: hidden;
        opacity: 0;
    }
}

.header-menu.active {
    visibility: visible;
    opacity: 1;
}

.header-menu > a, .header-menu > div {
    padding: 10px 0;
}

.header-menu > a:hover, .header-menu > div:hover {
    color: var(--color1);
}

.header-menu > a, .header-menu > div > span {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.header-menu > div {
    position: relative;
}

.header-menu > div.active > div {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

@media (min-width: 860px) {
    .header-menu > div:hover > div {
        visibility: visible;
        opacity: 1;
        transform: translateY(0);
    }
}

.header-menu > div > div {
    position: absolute;
    width: 200px;
    top: 100%;
    left: 0;
    background: var(--bg2);
    color: var(--text2);
    box-shadow: 0 0 20px rgb(0 0 0 / 10%);
    border-radius: var(--radius);
    padding: 3px;
    visibility: hidden;
    opacity: 0;
    transform: translateY(10px);
    transition: 0.3s;
    z-index: 6;
}

.header-menu > div > div:before {
    content: "";
    position: absolute;
    top: -4px;
    left: 16px;
    width: 10px;
    height: 10px;
    background: var(--bg2);
    transform: rotate(225deg);
    z-index: -1;
}

@media (max-width: 860px) {
    .header-menu > div > div {
        background: #292b31;
        width: 300px;
    }

    .header-menu > div > div:before {
        background: #292b31;
    }
}

.header-menu > div > div > a {
    display: block;
    padding: 5px 20px;
    border-radius: var(--radius);
}

.header-menu > div > div > a:hover {
    background: var(--light);
}

.header-menu_btn {
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 30px;
    text-align: center;
}

.header-menu_btn.active:before {
    content: "\f00d";
}

/* HEADER SEARCH */
.header-search {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    background: rgb(93 100 116 / 38%);
    border-top: 1px solid var(--light);
    backdrop-filter: blur(20px);
    border-radius: 50px;
    padding: 3px;
    margin-left: 2%;
    margin-right: auto;
    z-index: 2;
}

@media (max-width: 860px) {
    .header-search {
        visibility: hidden;
        opacity: 0;
        position: fixed;
        width: 100%;
        top: -40px;
        left: 0;
        background: var(--bg2);
        border-radius: 0;
        padding: 10px;
        transition: 0.3s;
        margin-left: 0;
        z-index: 5;
    }
}

.header-search.active {
    visibility: visible;
    opacity: 1;
    top: 0;
}

.header-search_btn, .header-search .fa-microphone, .header-search .fa-xmark {
    background: rgb(147 154 172 / 38%);
    border-radius: 50px;
    min-width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 14px;
    text-align: center;
}

.header-search .fa-magnifying-glass {
    background: transparent;
    color: #777e89;
    margin-left: 15px;
}

.header-search_btn {
    display: none;
}

@media (max-width: 860px) {
    .header-search_btn {
        display: inline-block;
        background: transparent;
        font-size: 30px;
        margin-left: auto;
    }
}

.header-search input {
    background: none;
    padding: 0;
    box-shadow: none;
    border: none;
    width: 380px;
    height: inherit;
    border-radius: 0;
    margin-left: 15px;
}

.header-search input::placeholder {
    color: #777e89;
}

.header-search .fa-xmark:not(.header-search.active .fa-xmark) {
    display: none;
}

.header-search_top {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    width: 490px;
    top: 110%;
    left: auto;
    background: var(--bg2);
    box-shadow: 0 10px 20px -2px rgb(0 0 0 / 40%);
    padding: 30px;
    border-radius: var(--radius);
    transition: 0.3s;
    z-index: 8;
}

@media (max-width: 860px) {
    .header-search_top {
        width: 100%;
        left: 0;
    }
}

.header-search_top.active {
    visibility: visible;
    opacity: 1;
}

.header-search_top > span {
    display: block;
    color: var(--text2);
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 10px;
}

/* HEADER USER */
.header-user {
    position: relative;
}

.header-user > a {
    display: flex;
    align-items: center;
    grid-gap: 15px;
    padding: 3px 10px;
    font-size: 30px;
    cursor: pointer;
}

.header-user > a > span {
    font-size: 14px;
    font-weight: 600;
}

@media (max-width: 860px) {
    .header-user > a > span {
        display: none;
    }
}

.header-user > a:hover {
    color: var(--color1);
}

.header-user > div {
    position: absolute;
    width: 200px;
    top: 100%;
    right: 0;
    background: var(--bg2);
    color: #fff;
    box-shadow: 0 0 20px rgb(0 0 0 / 10%);
    border-radius: var(--radius);
    visibility: hidden;
    opacity: 0;
    transform: translateY(10px);
    transition: 0.3s;
    z-index: 6;
}

.header-user > div:before {
    content: "";
    position: absolute;
    top: -5px;
    right: 16px;
    width: 10px;
    height: 10px;
    background: var(--bg2);
    transform: rotate(225deg);
}

.header-user.active > div {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

.header-user_info {
    border-bottom: 1px solid var(--light);
    padding: 10px 20px;
    text-align: center;
}

.header-user_info > img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

.header-user_info > span {
    display: block;
    margin: 8px 0;
    font-size: 16px;
    font-weight: bold;
}

.header-user_info > a {
    display: inline-block;
    color: var(--color1);
    font-weight: bold;
    font-size: 13px;
    border-bottom: 1px dotted var(--color1);
    margin: 5px;
}

.header-user_info > a i {
    margin-right: 5px;
}

.header-user_group {
    display: inline-block;
    background: var(--bg3);
    border-radius: var(--radius);
    color: #b9b3d3;
    padding: 4px 10px;
    font-size: 10px;
}

.header-user_group * {
    color: #b9b3d3!important;
}

.header-user_link {
    padding: 3px;
}

.header-user_link a {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    padding: 8px 20px;
    border-radius: var(--radius);
    color: var(--text2);
    font-size: 14px;
}

.header-user_link a:last-child {
    color: #F44336;
}

.header-user_link a:hover {
    background: var(--bg2);
    color: var(--color1);
}

/* MODAL LOGIN 0.2 */
.modal-login > a {
    display: block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    color: var(--text2);
    font-size: 28px;
    text-align: center;
    cursor: pointer;
}

.modal-login form {
    display: none;
    position: fixed;
    min-width: 500px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: var(--bg2);
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
    padding: 40px 80px;
    border-radius: var(--radius);
    text-align: center;
    z-index: 9;
}

@media (max-width: 860px) {
    .modal-login form {
        min-width: 100%;
        padding: 30px;
        border-radius: 0;
    }
}

.modal-login form > i {
    position: absolute;
    top: 20px;
    right: 20px;
    background: var(--bg);
    border-radius: var(--radius);
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    cursor: pointer;
}

.modal-login form > i:hover {
    background: var(--color1);
    color: #fff;
}

.modal-login .e-float > a {
    position: absolute;
    top: 20px;
    right: 15px;
    font-size: 14px;
    border-bottom: 1px dotted #20a8d8;
}

.modal-login_btn a {
    background: #000;
    margin-left: 20px;
}

.modal-login_btn a:hover {
    background: var(--bg3);
    opacity: 0.8;
}

.modal-login_soc span {
    display: block;
    color: #767389;
    margin: 20px 0;
}

.modal-login_soc .e-flex {
    align-items: center;
    justify-content: center;
}

.modal-login_soc .e-flex > a, .modal-login_soc .e-flex a > img {
    width: 40px;
    height: 40px;
    margin: 0 10px;
}

/* TOOLTIP */
[data-tooltip] {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

[data-tooltip]::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: -220%;
    right: 0;
    opacity: 0;
    visibility: hidden;
    width: max-content;
    background: black;
    padding: 8px;
    border-radius: 4px;
    color: #fff;
    font-size: 10px;
    text-align: center;
    line-height: normal;
    transition: all 0.3s;
    z-index: 1;
}

[data-tooltip]:hover::before {
    content: " ";
    position: absolute;
    right: 6px;
    bottom: -6px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent black transparent;
}

[data-tooltip]:hover::after {
    visibility: visible;
    opacity: 1;
}

/* TA HOME */
.ta-home {
    max-width: 600px;
    margin-bottom: 30px;
}

@media (min-width: 1440px) {
    .ta-home {
        max-width: 800px;
    }
}

@media (max-width: 860px) {
    .ta-home {
        max-width: none;
        width: 100vw;
        margin-left: -20px;
        border-radius: 0;
        margin-top: -90px;
    }
}

.ta-home .swiper-pagination-bullets {
    z-index: 5!important;
}

.ta-home .swiper-pagination-bullet {
    position: relative;
    background: var(--light2);
    width: 30px;
    height: 4px;
    border-radius: 8px;
    overflow: hidden;
}

.ta-home .swiper-pagination-bullet-active {
    width: 80px;
}

.ta-home .swiper-pagination-bullet-active::before {
    content: "";
    display: block;
    width: 100%;
    height: 4px;
    background: #fff;
    position: absolute;
    bottom: 0;
    left: 0;
    animation: progress var(--swiper-autoplay-time) linear;
}

@keyframes progress {
    0% {
        width: 0;
    }

    100% {
        width: 100%;
    }
}

.ta-home > .fal {
    position: absolute;
    top: 40%;
    left: -2%;
    width: 30px;
    height: 60px;
    background: var(--light);
    backdrop-filter: blur(10px);
    border-top: 1px solid var(--light);
    border-radius: var(--radius);
    color: var(--text2);
    line-height: 60px;
    font-size: 20px;
    text-align: center;
    z-index: 2;
    cursor: pointer;
}

@media (max-width: 860px) {
    .ta-home > .fal {
        display: none;
    }
}

.ta-home > .fa-chevron-right {
    left: unset;
    right: -2%;
}

.ta-home_item {
    position: relative;
    background: #000;
    border-radius: var(--radius);
    overflow: hidden;
}

@media (max-width: 860px) {
    .ta-home_item {
        height: 500px;
        border-radius: 0 0 45px 45px;
    }
}

.ta-home_bg {
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
}

@media (max-width: 860px) {
    .ta-home_bg {
        aspect-ratio: 16/14;
    }
}

.ta-home_bg:before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(360deg, black, transparent);
}

.ta-home_content {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 60px 40px;
}

@media (max-width: 860px) {
    .ta-home_content {
        padding: 40px 40px 80px 40px;
    }
}

.ta-home_content > a {
    font-size: 25px;
    font-weight: bold;
}

.ta-home_content > a:before {
    content: "";
    position: absolute;
    inset: 0;
}

.ta-home_content > a img {
    max-width: 300px;
    max-height: 100px;
}

@media (max-width: 860px) {
    .ta-home_content > a img {
        max-width: 120px;
    }
}

.ta-home_text {
    max-width: 60%;
    color: var(--text2);
    margin: 20px 0;
}

@media (max-width: 860px) {
    .ta-home_text {
        max-width: 100%;
    }
}

.ta-home_meta {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    color: var(--text3);
}

/* TA SECT */
.ta-sect {
}

.ta-sect > div {
    position: relative;
    padding: 0 15px;
    overflow: hidden;
}

@media (max-width: 860px) {
    .ta-sect > div {
        padding: 0;
        overflow: visible;
    }
}

.ta-sect > div > .fal {
    position: absolute;
    top: 40%;
    left: 0;
    width: 30px;
    height: 60px;
    background: var(--light);
    backdrop-filter: blur(10px);
    border-top: 1px solid var(--light);
    border-radius: var(--radius);
    color: var(--text2);
    line-height: 60px;
    font-size: 20px;
    text-align: center;
    z-index: 4;
    cursor: pointer;
}

@media (max-width: 860px) {
    .ta-sect > div > .fal {
        display: none;
    }
}

.ta-sect > div > .fa-chevron-right {
    left: unset;
    right: 0;
}

/* TA HIT */
.ta-hit_item {
    position: relative;
    border-radius: var(--radius);
    aspect-ratio: 1/1;
    overflow: hidden;
}

.ta-hit_item > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s;
}

.ta-hit_item:hover img {
    transform: scale(1.05);
}

.ta-hit_content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
    grid-gap: 15px;
    background: linear-gradient(360deg, black, transparent), linear-gradient(180deg, rgb(0 0 0 / 28%), transparent);
    padding: 20px 30px 40px;
}

.ta-hit_head {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    color: rgb(235 243 255 / 78%);
    font-size: 14px;
    border-top: 1px dashed var(--light);
    padding-top: 15px;
}

.ta-hit_content > a {
    font-size: 20px;
    font-weight: bold;
}

.ta-hit_content > a:before {
    content: "";
    position: absolute;
    inset: 0;
}

.ta-hit_content > a img {
    max-width: 150px;
    transition: 0.3s;
}

@media (max-width: 860px) {
    .ta-hit_content > a img {
        max-width: 120px;
    }
}

.ta-hit_text {
    color: var(--text2);
    font-size: 12px;
}

/* TA SHORT */
.ta-short {
}

.ta-short_item {
    position: relative;
    padding: 5px 2px 0;
    overflow: hidden;
}

.ta-top .swiper-wrapper {
    counter-reset: top-counter;
}

.ta-top .ta-short_item {
    counter-increment: top-counter;
    padding-left: 55px;
}

.ta-top .ta-short_item:before {
    content: counter(top-counter);
    position: absolute;
    left: -20px;
    bottom: 10px;
    font-size: 150px;
    font-weight: bold;
    background: linear-gradient( 120deg, #eeeeee 0%, #cccccc 20%, #ffffff 40%, #d1bfff 60%, #92f0ff 80%, #b8b8b8 100% );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
    font-style: italic;
    z-index: -1;
}

.ta-top .ta-short_item:nth-child(1):before {
    z-index: 2;
}

.ta-short_item > a {
    display: block;
    font-size: 16px;
    font-weight: bold;
}

.ta-short_item > a:before {
    content: "";
    position: absolute;
    inset: 0;
}

.ta-short_bg {
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 9/13;
    border-radius: 12px;
    margin-bottom: 10px;
    transition: 0.3s;
    z-index: 2;
    overflow: hidden;
}

.ta-short_item:hover .ta-short_bg {
    transform: scale(1.02) translateY(-1%);
}

.ta-short_hover {
    position: absolute;
    background: rgb(27 29 34 / 78%);
    inset: 0;
    padding: 20px;
    visibility: hidden;
    opacity: 0;
    transition: 0.3s;
}

.ta-short_item:hover .ta-short_hover {
    visibility: visible;
    opacity: 1;
}

.ta-short_hover > div {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: end;
    grid-gap: 5px;
    height: 75%;
}

.ta-short_hover > div:first-child {
    align-items: flex-end;
    height: auto;
    z-index: 3;
}

.ta-short_hover > a:before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 2;
}

.ta-short_hover a[onclick] .fa-solid {
    color: #F44336;
}

.ta-short_rating {
    font-size: 25px;
    font-weight: bold;
}

.ta-short_metas {
    color: var(--text2);
    font-size: 12px;
}

.ta-short_meta {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 5px;
    color: var(--text3);
    font-size: 12px;
    margin-top: 5px;
}

/* TA ACTORS */
.ta-actor {
}

.ta-actor_item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    grid-gap: 10px;
    font-size: 14px;
}

.ta-actor_item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

/* TA FULL */
.ta-full {
    position: relative;
    margin-top: -200px;
    padding-top: 250px;
    margin-bottom: 60px;
}

@media (max-width: 860px) {
    .ta-full {
        margin-top: -140px;
        z-index: 1;
    }
}

.ta-full_bg {
    position: absolute;
    top: 0;
    right: -11vw;
    width: 90%;
    height: auto;
    z-index: -1;
}

.ta-full_bg:before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(360deg, var(--bg) 0%, transparent 60%), linear-gradient(90deg, var(--bg) 0%, transparent 60%);
}

@media (max-width: 860px) {
    .ta-full_bg {
        right: -20px;
        width: 100vw;
    }

    .ta-full_bg:before {
        background: linear-gradient(360deg, var(--bg) 0%, transparent 60%), linear-gradient(180deg, rgb(20 22 26 / 51%) 0%, transparent 60%);
    }
}

.ta-full_content {
    max-width: 600px;
}

.ta-full_content > img {
    display: block;
    max-width: 400px;
    max-height: 120px;
    margin-bottom: 30px;
}

@media (max-width: 860px) {
    .ta-full_content > img {
        max-width: 280px;
    }
}

.ta-full_text, .ta-full_text * {
    font-size: 18px;
    line-height: 1.4;
}

@media (max-width: 860px) {
    .ta-full_text, .ta-full_text * {
        font-size: 16px;
    }
}

.ta-full_meta {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    color: var(--text2);
    margin-top: 50px;
    margin-bottom: 30px;
}

.ta-full_link {
    display: flex;
    align-items: center;
    grid-gap: 15px;
}

.ta-full_link > a {
    width: 50px;
    height: 50px;
    line-height: 50px;
    background: var(--light);
    border-top: 1px solid var(--light);
    border-radius: 50px;
    text-align: center;
}

.ta-full_link > a:first-child {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    background: var(--color1);
    width: max-content;
    padding: 0 40px;
}

.ta-full_grid {
    display: grid;
    grid-gap: 60px;
    grid-auto-rows: max-content;
    grid-template-columns: 1fr 400px;
}

@media (max-width: 860px) {
    .ta-full_grid {
        grid-template-columns: 1fr;
        grid-gap: 0;
    }
}

.ta-full_detal {
}

.ta-full_view {
    display: grid;
    grid-gap: 20px;
    grid-auto-rows: max-content;
    grid-template-columns: repeat(5, 1fr);
    margin-bottom: 40px;
}

@media (max-width: 860px) {
    .ta-full_view {
        grid-template-columns: repeat(3, 1fr);
    }
}

.ta-full_view > a, .ta-full_view > a img {
    display: inline-block;
    width: 100%;
    height: 55px;
    object-fit: cover;
    border-radius: 10px;
    overflow: hidden;
}

.ta-full_text1 {
    color: #f2f2f2;
    line-height: 1.5;
    margin-bottom: 15px;
}

[data-rows] {
    position: relative;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
}

[data-rows] + a {
    display: inline-block;
    background: var(--bg2);
    color: var(--text2);
    padding: 8px 20px;
    border-radius: var(--radius);
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 40px;
    cursor: pointer;
}

[data-rows] + a:hover {
    opacity: 0.8;
}

.ta-full_grid ul {
    display: flex;
    flex-direction: column;
    grid-gap: 10px;
    margin-top: 40px;
}

.ta-full_grid li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--text3);
    border-bottom: 1px solid #252930;
}

.ta-full_grid li span {
    background: var(--bg);
    margin-bottom: -5px;
    padding-right: 8px;
}

.ta-full_grid li span:last-child {
    color: #f2f2f2;
    border-bottom: 1px solid var(--light2);
    padding-right: 0;
    padding-bottom: 2px;
    margin-bottom: -0.6px;
}

.ta-full_rating {
    background: var(--bg2);
    padding: 30px;
    border-radius: var(--radius);
}

.ta-full_rating > div {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.ta-full_rating > div:first-child {
    grid-gap: 40px;
    margin-bottom: 25px;
}

.ta-full_rating > div b.rating-color1 {
    font-size: 30px;
}

@media (max-width: 860px) {
    .ta-full_rating > div b.rating-color1 {
        font-size: 40px;
    }
}

.ta-full_rating > div > div {
    color: var(--text2);
    font-size: 14px;
}

.ta-full_rating > div > div b {
    display: block;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 5px;
}

.ta-full_rating > div [onclick^="doRate"] {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 8px;
    background: #2a2e35;
    border-top: 1px solid var(--light);
    border-radius: var(--radius);
    padding: 10px 10px;
    flex: 1;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
}

@media (max-width: 860px) {
    .ta-full_rating > div [onclick^="doRate"] {
        flex-direction: column;
    }
}

/* HOP SECT */
.hop-sect_item {
    position: relative;
    border-radius: var(--radius);
    overflow: hidden;
}

.hop-sect_item:nth-child(2n + 1):before {
    display: none;
}

.hop-sect_item:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(49 50 54 / 55%);
}

.hop-sect_item > a {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 3;
}

.hop-sect_content {
    position: relative;
    display: flex;
    flex-direction: column;
    grid-gap: 20px;
    background: transparent;
    padding: 30px;
    height: 100%;
    justify-content: space-between;
}

.hop-sect_item:nth-child(2n + 1) .hop-sect_content {
    background: var(--bg2);
    padding: 30px;
    border: 1px solid var(--bg2);
    border-radius: 0 0 var(--radius) var(--radius);
    height: auto;
}

.hop-sect_content > span {
    max-width: max-content;
    background: var(--light);
    padding: 5px 12px;
    border-radius: var(--radius);
    color: #efefef;
    font-size: 12px;
    font-weight: bold;
    text-transform: uppercase;
}

.hop-sect_item:nth-child(2n + 1) .hop-sect_content > span {
    background: transparent;
    color: var(--color2);
    padding: 0;
}

.hop-sect_content > a {
    font-size: 18px;
    font-weight: bold;
    margin-top: auto;
}

.hop-sect_content > a:before {
    content: "";
    position: absolute;
    inset: 0;
}

.hop-sect_user {
    display: flex;
    align-items: center;
    grid-gap: 15px;
    margin-left: auto;
}

.hop-sect_user > img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
}

.hop-sect_user > div a {
    display: block;
    font-size: 14px;
    font-weight: bold;
    color: #fff;
}

.hop-sect_user > div span {
    display: block;
    font-size: 10px;
    opacity: 0.8;
    margin-top: 3px;
}

.hop-sect_content > h3 {
    margin-bottom: 10px;
}

.hop-sect_text, .hop-sect_text * {
    color: rgb(248 251 255 / 84%);
    font-size: 14px;
    line-height: 1.5;
}

.hop-sect_meta {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    color: rgb(248 251 255 / 70%);
    font-size: 14px;
    margin: 0 -30px -30px;
    padding: 10px 30px 10px;
    border-top: 1px dotted var(--light);
}

.hop-sect_meta span {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.hop-sect_link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
    z-index: 5;
}

.hop-sect_link > a {
    display: inline-block;
    background: #fff;
    border: 1px solid var(--bg2);
    color: var(--color1);
    border-radius: var(--radius);
    padding: 10px 20px;
    font-weight: 600;
    text-align: center;
    transition: 0.3s;
}

.hop-sect_link > a:hover {
    background: var(--color1);
    border: 1px solid var(--color1);
    color: #fff;
}

.hop-sect_item:hover .hop-sect_bg img {
    transform: scale(1.05);
}

.hop-sect_bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.hop-sect_item:nth-child(2n + 1) .hop-sect_bg {
    position: relative;
    border-radius: var(--radius) var(--radius) 0 0;
    height: 200px;
    overflow: hidden;
}

/* TA BLOG */
.ta-blog {
    max-width: 800px;
}

.ta-blog_cat {
    display: inline-block;
    background: #eeeaff;
    color: #8473cc;
    padding: 5px 12px;
    border-radius: var(--radius);
    font-size: 12px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.ta-blog_head {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    grid-gap: 20px;
    font-size: 14px;
    color: var(--text2);
    margin-bottom: 20px;
}

.ta-blog_head > span {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.ta-blog_head [onclick*="doFavorites"] {
    margin-left: auto;
    margin-right: -10px;
}

.ta-blog_head > a {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 6px;
    width: 50px;
    height: 40px;
    line-height: 40px;
    background: #2a2e35;
    border-top: 1px solid var(--light);
    border-radius: var(--radius);
    text-align: center;
}

@media (max-width: 860px) {
    .ta-blog_head > a {
        flex: 40%;
        grid-gap: 10px;
        margin-left: 0;
    }
}

.ta-blog_short, .ta-blog_short * {
    font-size: 18px;
    font-weight: 500;
    line-height: 1.4;
}

.ta-blog_bg {
    display: block;
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    border-radius: var(--radius);
    margin: 30px 0;
    overflow: hidden;
}

/* RATING COLOR */
.rating-color {
    background-color: #3bb33b;
    box-shadow: 0 4px 9px rgb(59 179 59 / 50%);
    color: #fff;
    padding: 2px 8px;
    font-size: 12px;
    font-weight: bold;
    border-radius: var(--radius);
}

.rating-color.low {
    background: #e13535;
    box-shadow: 0 4px 9px rgb(225 53 53 / 50%);
}

.rating-color.middle {
    background: #ff6702;
    box-shadow: 0 4px 9px rgb(255 103 2 / 50%);
}

.rating-color1 {
    background: linear-gradient(0deg, #00c853, #64dd17);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}

.rating-color1.middle {
    background: linear-gradient(90deg, #ffeb3b, #ffc107);
}

.rating-color1.low {
    background: linear-gradient(90deg, #d50000, #ff1744);
}

/* FOOTER */
footer {
    position: relative;
    background: #18191d;
    color: #fff;
}

footer .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 20px;
    padding: 30px 0;
    font-size: 14px;
}

@media (max-width: 860px) {
    footer .container {
        flex-direction: column;
        align-items: flex-start;
    }
}

.footer-soc {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.footer-soc a {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    border-radius: 10px;
    background: var(--light);
    font-size: 14px;
    color: #fff;
}

.footer-soc a:hover {
    background: var(--color2);
}

.footer-tel {
    margin-top: 20px;
    color: #b3b3b3;
}

.footer-tel > a:first-child {
    display: block;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}

.footer-menu {
}

.footer-menu span {
    display: block;
    color: #b3b3b3;
    font-size: 16px;
    font-weight: bold;
}

.footer-menu a {
    display: block;
    margin-top: 10px;
}

.footer-menu a:hover {
    color: #27a393;
}

footer .footer-copy {
    font-size: 12px;
    color: #b3b3b3;
    border-top: 1px solid var(--light);
}

.footer-copy span {
    margin-right: auto;
}
